<?php
namespace Claromentis\Core\Cache;

$GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"] = (@$GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"] ?: array()) + array("_5e9a99dc0dd49b907" . "abf1b35e96965f8" => base64_decode("dHJp" . "bQ=="), "_72f158add486" . "59f67a9df82de" . "6646312" => base64_decode("c3lzdGVtX2NhY2hlX2N" . "sZWFyZWQ="), "_644b798b19dd133ec92" . "11fb916df032b" => base64_decode("ZmlsZV9nZXRfY29udGVu" . "dHM="), "_2d885755f5913deb2b5a483bd6761" . "1d1" => base64_decode("Y2ZnX2xv" . "Y2FsX2Rh" . "dGFfZGly"), "_19d1237a619f7b35ad6" . "dbebf025f17c8" => base64_decode("c3R" . "yY2" . "1w"), "_ca831b25ce7ff" . "fea9cf441f762c" . "7d154" => base64_decode("Zmls" . "ZV9l" . "eGlz" . "dHM="), "_927fa79e65e2727376" . "20f5a863f058ae" => base64_decode("L2NhY2hlX2NsZWFyZWQuZG" . "F0"), "_8a36a84baeffc0085672f9bf9c064" . "f67" => base64_decode("ZmlsZV9wdXRfY29ud" . "GVudHM="));
use Claromentis\Core\Config\Config;
use Claromentis\Core\DAL\Interfaces\DbInterface;
use DBVar;
class CacheTimeCheck
{
    
    
    
    
    private $cache_cleared_file;
    
    
    
    
    private $cache_clearer;
    public function __construct(Config $config, CacheClearer $_2f905e47e14e38521e4b5cdebdd7a108)
    {
        $this->cache_cleared_file = $config->get($GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["_2d885755f5913deb2b5" . "a483bd67611d1"]) . $GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_927fa79e65e27273" . "7620f5a863f058ae"];
        $this->cache_clearer = $_2f905e47e14e38521e4b5cdebdd7a108;
    }
    public function ClearLocalCacheIfNeeded()
    {
        $_d531d220dbc6dcb35b78aff26b7f0278 = true;
        $_0a9dc3339bf8c0f28851462350e00fb4 = (string) DBVar::Get($GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_72f158add48659" . "f67a9df82de6646" . "312"], false);
        if ($GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_ca831b25" . "ce7fffea9" . "cf441f762" . "c7d154"]($this->cache_cleared_file)) {
            $_52da7741c64702dba0065a6ffc0b23da = (string) $GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_5e9a99dc0dd49b907abf1b35e96" . "965f8"]($GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_644b798b19dd133ec9211" . "fb916df032b"]($this->cache_cleared_file));
            if ($GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["_19d1237a619f7b" . "35ad6dbebf025f1" . "7c8"]($_52da7741c64702dba0065a6ffc0b23da, $_0a9dc3339bf8c0f28851462350e00fb4) >= 0) {
                $_d531d220dbc6dcb35b78aff26b7f0278 = false;
            }
        }
        if ($_d531d220dbc6dcb35b78aff26b7f0278) {
            $this->ClearLocalCache();
        }
    }
    public function ClearLocalCache()
    {
        $this->cache_clearer->Reset();
        $this->UpdateLocalTimestamp();
    }
    public function ClearAllCache()
    {
        $this->cache_clearer->Reset();
        $this->cache_clearer->ResetShared();
        $this->UpdateLocalTimestamp();
    }
    protected function UpdateLocalTimestamp()
    {
        $_d230962d9a57dc6ba2b774d9ba3bb81e = new \Date();
        $_d230962d9a57dc6ba2b774d9ba3bb81e = $_d230962d9a57dc6ba2b774d9ba3bb81e->getDate(DATE_FORMAT_TIMESTAMP);
        $GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_8a36a84baeffc0085672f" . "9bf9c064f67"]($this->cache_cleared_file, $_d230962d9a57dc6ba2b774d9ba3bb81e);
    }
    public function UpdateSharedTimestamp(DbInterface $db)
    {
        $_d230962d9a57dc6ba2b774d9ba3bb81e = new \Date();
        $_d230962d9a57dc6ba2b774d9ba3bb81e = $_d230962d9a57dc6ba2b774d9ba3bb81e->getDate(DATE_FORMAT_TIMESTAMP);
        $db->DisableTokenCheck();
        DBVar::Set($GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_72f158add48659f67a9df82de664631" . "2"], $_d230962d9a57dc6ba2b774d9ba3bb81e);
        $db->EnableTokenCheck();
    }
}